%define	name	cfengine
%define	version	2.1.12
%define	release	7mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Cfengine helps administer remote BSD and System-5-like systems
License:	GPL
Group:		Monitoring
URL:		http://www.cfengine.org
Source0:	ftp://ftp.iu.hio.no/pub/cfengine/%{name}-%{version}.tar.bz2
Source1:	cfengine.conf.bz2
Source2:	cfengine.cron.bz2
Source3:	cfengine.sysinit.bz2
Source4:	cfservd.init.bz2
Source5:	cfexecd.init.bz2
Source6:	cfenvd.init.bz2
Patch0:		%{name}-2.1.12.missing-man-page.patch.bz2
Patch1:		%{name}-2.1.12.update-not-executed.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
PreReq:		rpm-helper
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	openssl-devel
BuildRequires:	db4-devel
BuildRequires:	tetex-dvips
BuildRequires:	texinfo
BuildRequires:	tetex-latex
BuildRequires:	automake1.8

%description
Cfengine, the configuration engine, is a very high level language for
simplifying the task of administrating and configuring large numbers
of workstations. Cfengine uses the idea of classes and a primitive
form of intelligence to define and automate the configuration of large
systems in the most economical way possible.

%package cfservd
Summary:	Cfengine helps administer remote BSD and System-5-like systems
Group:		Monitoring

%description cfservd
Cfengine, the configuration engine, is a very high level language for
simplifying the task of administrating and configuring large numbers
of workstations. Cfengine uses the idea of classes and a primitive
form of intelligence to define and automate the configuration of large
systems in the most economical way possible.

This package contain the demon serving files to computers running cfengine.

%prep
%setup -q
%patch0
%patch1
bzcat %{SOURCE1} > cfengine.conf
bzcat %{SOURCE2} > cfengine.cron
bzcat %{SOURCE3} > cfengine.sysinit
bzcat %{SOURCE4} > cfservd.init
bzcat %{SOURCE5} > cfexecd.init
bzcat %{SOURCE6} > cfenvd.init
chmod 644 inputs/*

%build
aclocal-1.8
automake-1.8
%serverbuild
%configure --with-workdir=%{_localstatedir}/%{name}
%make
cd doc
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
pushd doc
%makeinstall
popd

install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/%{name}
install -m 644 cfengine.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/cfagent.conf
install -m 644 cfengine.sysinit $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/cfengine
install -m 755 cfengine.cron $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/cfengine
install -m 755 cfservd.init $RPM_BUILD_ROOT%{_initrddir}/cfservd
install -m 755 cfexecd.init $RPM_BUILD_ROOT%{_initrddir}/cfexecd
install -m 755 cfenvd.init $RPM_BUILD_ROOT%{_initrddir}/cfenvd

# everything installed there is doc, actually
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}

%define info_files cfengine-Tutorial cfengine-Reference

%post
for f in %{info_files}; do
	%_install_info $f
done
if [ $1 = 1 ]; then
	[ -f "%{_localstatedir}/%{name}/ppkeys/localhost.priv" ] || cfkey >/dev/null 2>&1
fi

%post cfservd
for f in %{info_files}; do
	%_install_info $f
done
if [ $1 = 1 ]; then
	[ -f "%{_localstatedir}/%{name}/ppkeys/localhost.priv" ] || cfkey >/dev/null 2>&1
fi

%preun
for f in %{info_files}; do
	%_remove_install_info $f
done

%preun cfservd
for f in %{info_files}; do
	%_remove_install_info $f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*.{ps,pdf,html} inputs/*.example
%{_infodir}/*
%{_mandir}/man*/cfagent.*
%{_mandir}/man*/cfengine.*
%{_mandir}/man*/cfenvd.*
%{_mandir}/man*/cfenvgraph.*
%{_mandir}/man*/cfexecd.*
%{_mandir}/man*/cfkey.*
%{_mandir}/man*/cfrun.*
%{_localstatedir}/%{name}
%{_sbindir}/cfagent
%{_sbindir}/cfenvd
%{_sbindir}/cfenvgraph
%{_sbindir}/cfexecd
%{_sbindir}/cfkey
%{_sbindir}/cfrun
%{_sbindir}/cfdoc
%{_initrddir}/cfenvd
%{_initrddir}/cfexecd
%{_sysconfdir}/cron.daily/cfengine
%config(noreplace) %{_sysconfdir}/sysconfig/cfengine
%config(noreplace) %{_sysconfdir}/cfengine

%files cfservd
%defattr(-,root,root)
%doc doc/*.{ps,pdf,html} inputs/*.example
%{_initrddir}/cfservd
%{_sbindir}/cfkey
%{_sbindir}/vicf
%{_sbindir}/cfservd
%{_sbindir}/cfshow
%{_sbindir}/cfdoc
%{_localstatedir}/%{name}
%{_mandir}/man*/cfservd.*
%{_mandir}/man*/cfkey.*
%{_infodir}/*

%changelog
* Tue Feb 08 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.1.12-7mdk 
- really fix cron script

* Mon Feb 07 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.1.12-6mdk
- split cfservd into separate package
- fix config file location

* Thu Jan 20 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.1.12-5mdk 
- fix update.conf not executed (patch1, from upstream subversion)
- fix initscripts
- less arbitrary default configuration

* Tue Jan 18 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.1.12-4mdk 
- add service scripts for cfservd, cfenvd, cfexecd
- s/Linux Mandrake/Mandrakelinux/ in cron script (thx misc)

* Tue Jan 18 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.1.12-3mdk 
- set work dir to %{_localstatedir}/%{name}
- set backup to %{_localstatedir}/%{name}/backups
- autogen keys as postinstall

* Tue Jan 18 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.1.12-2mdk 
- switch to automake1.8
- drop cfd, no longer used
- fix cron task
- configuration for cron task in %{_sysconfdir}/sysinit/cfengine
- fix config file
- bzip2 additional files

* Fri Jan 14 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.1.12-1mdk 
- new version
- fix url
- exec in %{_sysconfdir} are not configuration
- drop patch 0, no more use
- spec cleanup
- use macros

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-4mdk
- force use of autoconf2.5 and automake1.4
- be sure to build everything in %%build (therefore run make twice)
- wipe out buildroot at the beginning of %%install
- fix permissions on docs
- update prereq on /sbin/chkconfig to rpm-helper
- cosmetics

* Mon Oct 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.5-3mdk
- fix build

* Fri May  2 2003 root <holm@theorie.physik.uni-goettingen.de> 1.6.5-2mdk
- Build requires: tetex-latex

* Thu Aug 15 2002 Juergen Holm <holm@theorie.physik.uni-goettingen.de> 1.6.5-1mdk
- Update to 1.6.5 to fix classes bug, and Checksumdatabase bug

* Fri Apr 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.3-8mdk
- Patch2: Fix build with gcc-3.1+. Don't include /usr/local/* in
  include and lib search path. Fix comment typo.

* Fri Feb 22 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-7mdk
- URL
- fixed installation of the doc

* Wed Nov 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-6mdk
- added texinfo and tetex-dvips to BuildRequires

* Sat Oct 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-5mdk
- recompile for db3.3

* Tue Jul  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-4mdk
- rebuild for db3.2

* Thu Mar 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-3mdk
- use the new rpm macros for servers.

* Mon Mar 26 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-2mdk
- stop cfd on uninstall

* Fri Mar 16 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-1mdk
- 1.6.3

* Wed Jan 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.2-1mdk
- new version

* Tue Jan  2 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 1.6.1-2mdk
- fixed install

* Tue Jan  2 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.1-1mdk
- new version

* Thu Oct 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5.4-5mdk
- Add security fix for syslog.

* Mon Aug 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.4-4mdk
- config files in noreplace mode.
- enable ssl

* Thu Jul 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5.4-3mdk
- Move backups to /var/sppol.
- Merge debian patches.
- Recognize a Mandrake sysem.
- BM.

* Tue Jun  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5.4-2mdk
- Don't compile with SSL.

* Wed Mar  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.4-1mdk
- mandrake version.
